<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Utils\ResponseStrategies;


class ResponseKurseTageOnCurrentPage extends ResponseStrategy
{
  public function extendResponse($pResponse)
  {
    $pResponse->kurstage = $this->getKursTage($pResponse);

    return $pResponse;
  }

  private function getKursTage($pResponse)
  {
    $kursTagIdsAufSeite = $pResponse->blaettern->getItemsOnCurrentPage();
    $dbwKurseTage = new \DBWorkKurseTageWT(1, true);

    $user = \SessionOperations::getCurrentWebToolsUser();
    $dbwTools = new \DBWorkTools(1, true);
    $toolBenMap = $dbwTools->getMappingToolIdBenGruppe();
    if (isset($toolBenMap[$pResponse->toolId]) && ($toolBenMap[$pResponse->toolId] == KURZ_TEILNEHMER || $toolBenMap[$pResponse->toolId] == KURZ_FIRMA)) {
      
      return $dbwKurseTage->getKurstageFromIDs4Tn($kursTagIdsAufSeite, $user->tnr);
    }

    return $dbwKurseTage->getKurstageFromIDs($kursTagIdsAufSeite);
  }
}